"use server";

import { redirect } from "next/navigation";
import { revalidatePath } from "next/cache";
import { db } from "@/db";

export async function createProblem(
  formState: { message: string },
  formData: FormData
) {
  try {
    const title = formData.get("title") as string;
    const difficulty = formData.get("difficulty") as string;
    const description = formData.get("description") as string;
    
    await db.problem.create({
      data: {
        title,
        difficulty,
        description,
      },
    });
  } catch (err: unknown) {
    if (err instanceof Error) {
      return {
        message: err.message,
      };
    } else {
      return {
        message: "Something went wrong...",
      };
    }
  }
  revalidatePath("/problemset");
  redirect("/problemset");
}
